## itksnap 2.0.0

=== CMakeLists.txt ===
#############################################
# CMAKE PRELIMINARIES                       #
#############################################
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
IF(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND CMAKE_POLICY)  

#############################################
# PROJECT: SNAP                             #
#############################################
PROJECT(SNAP)

#############################################
# VERSION INFORMATION                       #
#############################################
# On SNAP versions.
# =================
# The SNAP version consists of four fields: major, minor, patch and qualifier
# for example, version 1.7.3-beta has major version 1, minor version 7, patch 3
# and qualifier "-beta". Major, minor and patch must be numbers, but the qualifier
# is an arbitrary string and may be blank. 
# 
# Important:
#   - The qualifier is just a descriptor. No two version should have the same 
#     major/minor/patch and different qualifiers. So it's completely wrong to 
#     release version 1.7.3-beta and then version 1.7.3. The right way to do it
#     is to have 1.7.3-beta followed by 1.7.5-rc1 followed by 1.8.0 and so on
SET(SNAP_VERSION_MAJOR 2)
SET(SNAP_VERSION_MINOR 0)
SET(SNAP_VERSION_PATCH 0)
SET(SNAP_VERSION_QUALIFIER "")
SET(SNAP_VERSION_FULL "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")
SET(SNAP_VERSION_RELEASE_DATE "20091117")
SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20090731")
SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Nov 17, 2009")

# Shamelessly stolen from ParaView
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
IF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
  EXEC_PROGRAM(uname ARGS "-m" OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
IF(NOT DEFINED CPACK_SYSTEM_NAME)
  SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
ENDIF(NOT DEFINED CPACK_SYSTEM_NAME)
IF(${CPACK_SYSTEM_NAME} MATCHES Windows)
  IF(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win64-${CMAKE_SYSTEM_PROCESSOR})
  ELSE(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
  ENDIF(CMAKE_CL_64)
ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)
IF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
  SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
ENDIF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)

#########################################################
# FIND PACKAGES IF BUILDING OUTSIDE INSIGHTAPPLICATIONS #
#########################################################
IF(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS FALSE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ELSE(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS TRUE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ENDIF(DEFINED InsightApplications_SOURCE_DIR)			

IF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )
  INCLUDE(${SNAP_SOURCE_DIR}/CMake/standalone.cmake)
ENDIF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )

#############################################
# SOURCE FILE SPECIFICATION                 #
#############################################

# One of the files needs to be configured (to insert version info)
CONFIGURE_FILE(
  ${SNAP_SOURCE_DIR}/Common/SNAPCommon.cxx.in
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx @ONLY IMMEDIATE)

# The part of the source code devoted to the SNAP application logic
# is organized into a separate library
SET(LOGIC_CXX
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx
  Common/CommandLineArgumentParser.cxx
  Common/IRISException.cxx
  Common/Registry.cxx
  Common/SystemInterface.cxx
  Common/ITKExtras/itkVoxBoCUBImageIO.cxx
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.cxx
  Logic/Common/ColorMap.cxx
  Logic/Common/ImageCoordinateGeometry.cxx
  Logic/Common/ImageCoordinateTransform.cxx
  Logic/Common/SNAPRegistryIO.cxx
  Logic/Common/ColorLabelTable.cxx
  Logic/Common/SNAPSegmentationROISettings.cxx
  Logic/Framework/GenericImageData.cxx
  Logic/Framework/GlobalState.cxx
  Logic/Framework/IRISApplication.cxx
  Logic/Framework/IRISImageData.cxx
  Logic/Framework/SNAPImageData.cxx
  Logic/Framework/UndoDataManager_LabelType.cxx
  Logic/ImageWrapper/GreyImageWrapper.cxx
  Logic/ImageWrapper/GuidedNativeImageIO.cxx
  Logic/ImageWrapper/LabelImageWrapper.cxx
  Logic/ImageWrapper/LevelSetImageWrapper.cxx
  Logic/ImageWrapper/RGBImageWrapper.cxx
  Logic/ImageWrapper/SpeedColorMap.cxx
  Logic/ImageWrapper/SpeedImageWrapper.cxx
  Logic/LevelSet/SnakeParameters.cxx
  Logic/Mesh/AllPurposeProgressAccumulator.cxx
  Logic/Mesh/GuidedMeshIO.cxx
  Logic/Mesh/IRISMeshPipeline.cxx
  Logic/Mesh/LevelSetMeshPipeline.cxx
  Logic/Mesh/MeshObject.cxx
  Logic/Mesh/MeshOptions.cxx
  Logic/Mesh/VTKMeshPipeline.cxx
  Logic/Preprocessing/EdgePreprocessingSettings.cxx
  Logic/Preprocessing/ThresholdSettings.cxx
  Logic/Slicing/IntensityCurveVTK.cxx
)

# The headers for the Logic code
SET(LOGIC_HEADERS
  Common/CommandLineArgumentParser.h
  Common/Credits.h
  Common/IRISException.h
  Common/IRISVectorTypes.h
  Common/IRISVectorTypes.txx
  Common/IRISVectorTypesToITKConversion.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.txx
  Common/ITKExtras/itkBinaryDiamondStructuringElement.h
  Common/ITKExtras/itkBinaryDiamondStructuringElement.txx
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.h
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.txx
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.h
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.txx
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.h
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.txx
  Common/ITKExtras/itkVoxBoCUBImageIO.h
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.h
  Common/Registry.h
  Common/SNAPBorlandDummyTypes.h
  Common/SNAPCommon.h
  Common/SNAPOpenGL.h
  Common/SystemInterface.h
  Logic/Common/ColorLabel.h
  Logic/Common/ColorLabelTable.h
  Logic/Common/ColorMap.h
  Logic/Common/ImageCoordinateGeometry.h
  Logic/Common/ImageCoordinateTransform.h
  Logic/Common/ImageRayIntersectionFinder.h
  Logic/Common/ImageRayIntersectionFinder.txx
  Logic/Common/SNAPRegistryIO.h
  Logic/Common/SNAPSegmentationROISettings.h
  Logic/Framework/GenericImageData.h
  Logic/Framework/GlobalState.h
  Logic/Framework/IRISApplication.h
  Logic/Framework/IRISImageData.h
  Logic/Framework/SNAPImageData.h
  Logic/Framework/UndoDataManager.h
  Logic/Framework/UndoDataManager.txx
  Logic/ImageWrapper/GreyImageWrapper.h
  Logic/ImageWrapper/ImageIORoutines.h
  Logic/ImageWrapper/ImageWrapper.h
  Logic/ImageWrapper/ImageWrapper.txx
  Logic/ImageWrapper/LabelImageWrapper.h
  Logic/ImageWrapper/LabelToRGBAFilter.h
  Logic/ImageWrapper/LevelSetImageWrapper.h
  Logic/ImageWrapper/RGBImageWrapper.h
  Logic/ImageWrapper/ScalarImageWrapper.h
  Logic/ImageWrapper/ScalarImageWrapper.txx
  Logic/ImageWrapper/SpeedColorMap.h
  Logic/ImageWrapper/SpeedImageWrapper.h
  Logic/ImageWrapper/VectorImageWrapper.h
  Logic/ImageWrapper/VectorImageWrapper.txx
  Logic/LevelSet/LevelSetExtensionFilter.h
  Logic/LevelSet/SNAPAdvectionFieldImageFilter.h
  Logic/LevelSet/SNAPAdvectionFieldImageFilter.txx
  Logic/LevelSet/SNAPLevelSetDriver.h
  Logic/LevelSet/SNAPLevelSetDriver.txx
  Logic/LevelSet/SNAPLevelSetFunction.h
  Logic/LevelSet/SNAPLevelSetFunction.txx
  Logic/LevelSet/SNAPLevelSetStopAndGoFilter.h
  Logic/LevelSet/SNAPLevelSetStopAndGoFilter.txx
  Logic/LevelSet/SignedDistanceFilter.h
  Logic/LevelSet/SignedDistanceFilter.txx
  Logic/LevelSet/SnakeParameters.h
  Logic/Mesh/AllPurposeProgressAccumulator.h
  Logic/Mesh/GuidedMeshIO.h
  Logic/Mesh/IRISMeshPipeline.h
  Logic/Mesh/LevelSetMeshPipeline.h
  Logic/Mesh/MeshObject.h
  Logic/Mesh/MeshOptions.h
  Logic/Mesh/VTKMeshPipeline.h
  Logic/Preprocessing/EdgePreprocessingImageFilter.h
  Logic/Preprocessing/EdgePreprocessingImageFilter.txx
  Logic/Preprocessing/EdgePreprocessingSettings.h
  Logic/Preprocessing/SmoothBinaryThresholdImageFilter.h
  Logic/Preprocessing/SmoothBinaryThresholdImageFilter.txx
  Logic/Preprocessing/ThresholdSettings.h
  Logic/Slicing/IRISSlicer.h
  Logic/Slicing/IRISSlicer.txx
  Logic/Slicing/IntensityCurveInterface.h
  Logic/Slicing/IntensityCurveVTK.h
  Logic/Slicing/UnaryFunctorCache.h
  Logic/Slicing/UnaryFunctorCache.txx  
)

# These files contain the user interface source code
SET(UI_CXX
  UserInterface/BasicComponents/ColorMapBox.cxx
  UserInterface/BasicComponents/ColorMapWidget.cxx
  UserInterface/BasicComponents/FLTKCanvas.cxx
  UserInterface/BasicComponents/FunctionPlot2DBox.cxx
  UserInterface/BasicComponents/FunctionPlot2D.cxx
  UserInterface/BasicComponents/IntensityCurveBox.cxx
  UserInterface/BasicComponents/InteractionModeClient.cxx
  UserInterface/BasicComponents/RecursiveInteractionMode.cxx
  UserInterface/BasicComponents/SnakeParametersPreviewBox.cxx
  UserInterface/BasicComponents/SnakeParametersPreviewPipeline.cxx
  UserInterface/Common/SNAPAppearanceSettings.cxx
  UserInterface/ImageIOWizard/ImageIOWizardLogic.cxx
  UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.cxx
  UserInterface/MainComponents/AppearanceDialogUILogic.cxx
  UserInterface/MainComponents/HelpViewerLogic.cxx
  UserInterface/MainComponents/LabelEditorUILogic.cxx
  UserInterface/MainComponents/LayerInspectorUILogic.cxx
  UserInterface/MainComponents/PreprocessingUILogic.cxx
  UserInterface/MainComponents/ReorientImageUILogic.cxx
  UserInterface/MainComponents/ResizeRegionDialogLogic.cxx
  UserInterface/MainComponents/RestoreSettingsDialogLogic.cxx
  UserInterface/MainComponents/SimpleFileDialogLogic.cxx
  UserInterface/MainComponents/SnakeParametersUILogic.cxx
  UserInterface/MainComponents/UserInterfaceLogic.cxx
  UserInterface/MeshIOWizard/MeshIOWizardUILogic.cxx
  UserInterface/SliceWindow/AnnotationInteractionMode.cxx
  UserInterface/SliceWindow/BubblesInteractionMode.cxx
  UserInterface/SliceWindow/CrosshairsInteractionMode.cxx
  UserInterface/SliceWindow/GenericSliceWindow.cxx
  UserInterface/SliceWindow/IRISSliceWindow.cxx
  UserInterface/SliceWindow/GLToPNG.cxx
  UserInterface/SliceWindow/OpenGLSliceTexture.cxx  
  UserInterface/SliceWindow/PaintbrushInteractionMode.cxx
  UserInterface/SliceWindow/PolygonDrawing.cxx
  UserInterface/SliceWindow/PolygonInteractionMode.cxx
  UserInterface/SliceWindow/PolygonScanConvert.cxx
  UserInterface/SliceWindow/RegionInteractionMode.cxx
  UserInterface/SliceWindow/SNAPSliceWindow.cxx
  UserInterface/SliceWindow/SliceWindowCoordinator.cxx
  UserInterface/SliceWindow/ThumbnailInteractionMode.cxx
  UserInterface/Window3D/Trackball.cxx
  UserInterface/Window3D/Window3D.cxx
)

# The header files for the UI project
SET(UI_HEADERS
  UserInterface/BasicComponents/ColorMapBox.h
  UserInterface/BasicComponents/ColorMapWidget.h
  UserInterface/BasicComponents/FLTKCanvas.h
  UserInterface/BasicComponents/FLTKEvent.h
  UserInterface/BasicComponents/FLTKWidgetActivationManager.h
  UserInterface/BasicComponents/FunctionPlot2D.h
  UserInterface/BasicComponents/FunctionPlot2DBox.h
  UserInterface/BasicComponents/IntensityCurveBox.h
  UserInterface/BasicComponents/InteractionMode.h
  UserInterface/BasicComponents/InteractionModeClient.h
  UserInterface/BasicComponents/RecursiveInteractionMode.h
  UserInterface/BasicComponents/SnakeParametersPreviewBox.h
  UserInterface/BasicComponents/SnakeParametersPreviewPipeline.h
  UserInterface/Common/SNAPAppearanceSettings.h
  UserInterface/Common/SNAPCommonUI.h
  UserInterface/ImageIOWizard/ImageIOWizardBase.h
  UserInterface/ImageIOWizard/ImageIOWizardLogic.h
  UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.h
  UserInterface/MainComponents/AppearanceDialogUIBase.h
  UserInterface/MainComponents/AppearanceDialogUILogic.h

=== debian/changelog ===
itksnap (2.0.0-1~karmic.nd1) karmic; urgency=low

  * Backport of Debian package version 2.0.0-1 for NeuroDebian. Problems
    with the backport should be reported to the NeuroDebian maintainers
    and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Thu, 29 Apr 2010 16:29:05 -0400

itksnap (2.0.0-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #579588.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 25 Apr 2010 12:47:51 -0400

=== debian/control ===
Source: itksnap
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libssl-dev, libjpeg62-dev, libtiff4-dev
Standards-Version: 3.8.4
Section: science
Homepage: http://www.itksnap.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=debian-med/itksnap.git
Vcs-Git: git://git.debian.org/git/debian-med/itksnap.git

Package: itksnap
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: semi-automatic segmentation of structures in 3D images
 SNAP provides semi-automatic segmentation of structures in medical
 images (e.g.  magnetic resonance images of the brain) using active
 contour methods, as well as manual delineation and image navigation.
 Noteworthy features are:
 .
  * Linked cursor for seamless 3D navigation
  * Manual segmentation in three orthogonal planes at once
  * Support for many different 3D image formats, including NIfTI
  * Support for concurrent, linked viewing and segmentation of multiple images
  * Limited support for color images (e.g., diffusion tensor maps)
  * 3D cut-plane tool for fast post-processing of segmentation results

## itksnap 2.0.0+cvs20100615

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,13 @@
 #     release version 1.7.3-beta and then version 1.7.3. The right way to do it
 #     is to have 1.7.3-beta followed by 1.7.5-rc1 followed by 1.8.0 and so on
 SET(SNAP_VERSION_MAJOR 2)
-SET(SNAP_VERSION_MINOR 0)
+SET(SNAP_VERSION_MINOR 1)
 SET(SNAP_VERSION_PATCH 0)
-SET(SNAP_VERSION_QUALIFIER "")
+SET(SNAP_VERSION_QUALIFIER "-dev")
 SET(SNAP_VERSION_FULL "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")
-SET(SNAP_VERSION_RELEASE_DATE "20091117")
+SET(SNAP_VERSION_RELEASE_DATE "20100323")
 SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20090731")
-SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Nov 17, 2009")
+SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Mar 23, 2010")
 
 # Shamelessly stolen from ParaView
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
@@ -89,10 +89,11 @@
   Common/ITKExtras/itkVoxBoCUBImageIO.cxx
   Common/ITKExtras/itkVoxBoCUBImageIOFactory.cxx
   Logic/Common/ColorMap.cxx
+  Logic/Common/ColorLabelTable.cxx
   Logic/Common/ImageCoordinateGeometry.cxx
   Logic/Common/ImageCoordinateTransform.cxx
+  Logic/Common/SegmentationStatistics.cxx
   Logic/Common/SNAPRegistryIO.cxx
-  Logic/Common/ColorLabelTable.cxx
   Logic/Common/SNAPSegmentationROISettings.cxx
   Logic/Framework/GenericImageData.cxx
   Logic/Framework/GlobalState.cxx
@@ -150,6 +151,7 @@
   Logic/Common/ColorMap.h
   Logic/Common/ImageCoordinateGeometry.h
   Logic/Common/ImageCoordinateTransform.h
+  Logic/Common/SegmentationStatistics.h
   Logic/Common/ImageRayIntersectionFinder.h
   Logic/Common/ImageRayIntersectionFinder.txx
   Logic/Common/SNAPRegistryIO.h
@@ -217,9 +219,11 @@
   UserInterface/BasicComponents/FunctionPlot2D.cxx
   UserInterface/BasicComponents/IntensityCurveBox.cxx
   UserInterface/BasicComponents/InteractionModeClient.cxx
+  UserInterface/BasicComponents/MetaDataTable.cxx
   UserInterface/BasicComponents/RecursiveInteractionMode.cxx
   UserInterface/BasicComponents/SnakeParametersPreviewBox.cxx
   UserInterface/BasicComponents/SnakeParametersPreviewPipeline.cxx
+  UserInterface/BasicComponents/StatisticsTable.cxx
   UserInterface/Common/SNAPAppearanceSettings.cxx
   UserInterface/ImageIOWizard/ImageIOWizardLogic.cxx
   UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.cxx
@@ -246,6 +250,7 @@
   UserInterface/SliceWindow/PolygonDrawing.cxx
   UserInterface/SliceWindow/PolygonInteractionMode.cxx
   UserInterface/SliceWindow/PolygonScanConvert.cxx
+  UserInterface/SliceWindow/PopupButtonInteractionMode.cxx
   UserInterface/SliceWindow/RegionInteractionMode.cxx
   UserInterface/SliceWindow/SNAPSliceWindow.cxx
   UserInterface/SliceWindow/SliceWindowCoordinator.cxx
@@ -266,13 +271,8 @@
   UserInterface/BasicComponents/IntensityCurveBox.h
   UserInterface/BasicComponents/InteractionMode.h
   UserInterface/BasicComponents/InteractionModeClient.h
+  UserInterface/BasicComponents/MetaDataTable.h  
   UserInterface/BasicComponents/RecursiveInteractionMode.h
   UserInterface/BasicComponents/SnakeParametersPreviewBox.h
   UserInterface/BasicComponents/SnakeParametersPreviewPipeline.h
-  UserInterface/Common/SNAPAppearanceSettings.h
-  UserInterface/Common/SNAPCommonUI.h
-  UserInterface/ImageIOWizard/ImageIOWizardBase.h
-  UserInterface/ImageIOWizard/ImageIOWizardLogic.h
-  UserInterface/ImageIOWizard/RestrictedImageIOWizardLogic.h
-  UserInterface/MainComponents/AppearanceDialogUIBase.h
-  UserInterface/MainComponents/AppearanceDialogUILogic.h
+  UserInterface/BasicComponents/StatisticsTable.h

=== Utilities/FLTK/Fl_Table/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SNAP_SOURCE_DIR}/Utilities/FLTK/Fl_Table/FL)
ADD_LIBRARY(fltk_table Fl_Table.cxx Fl_Table_Row.cxx)

=== debian/changelog ===
itksnap (2.0.0+cvs20100615-1) unstable; urgency=low

  * New CVS snapshot fixing a number of compiler issues.
  * Add patch to avoid namespace confusion of itk:: and std::
    (Closes: #583208). Patch has been forwarded upstream.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 23 Jun 2010 12:17:33 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libssl-dev, libjpeg62-dev, libtiff4-dev
+Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev
 Standards-Version: 3.8.4
 Section: science
 Homepage: http://www.itksnap.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS = -Wl,--as-needed

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_install:
	dh_auto_install
	# move data files to /usr/share
	mv $(CURDIR)/debian/itksnap/usr/lib/snap*/ProgramData \
		$(CURDIR)/debian/itksnap/usr/share/itksnap/
	# get rid of application "forwarder"
	mv $(CURDIR)/debian/itksnap/usr/lib/snap*/InsightSNAP \
		$(CURDIR)/debian/itksnap/usr/bin/itksnap
	# remove left-overs
	rm -r $(CURDIR)/debian/itksnap/usr/lib
	# use one of the pix as an icon
	convert $(CURDIR)/ProgramData/Images2D/EdgeForcesExample.png -resize 32x32 \
		$(CURDIR)/debian/itksnap/usr/share/pixmaps/itksnap.xpm
	# strip useless CMakeLists
	find $(CURDIR)/debian/itksnap/usr -name 'CMakeLists.txt' -delete

## itksnap 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,13 +27,13 @@
 #     release version 1.7.3-beta and then version 1.7.3. The right way to do it
 #     is to have 1.7.3-beta followed by 1.7.5-rc1 followed by 1.8.0 and so on
 SET(SNAP_VERSION_MAJOR 2)
-SET(SNAP_VERSION_MINOR 1)
+SET(SNAP_VERSION_MINOR 2)
 SET(SNAP_VERSION_PATCH 0)
-SET(SNAP_VERSION_QUALIFIER "-dev")
+SET(SNAP_VERSION_QUALIFIER "")
 SET(SNAP_VERSION_FULL "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")
-SET(SNAP_VERSION_RELEASE_DATE "20100323")
+SET(SNAP_VERSION_RELEASE_DATE "20110504")
 SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20090731")
-SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Mar 23, 2010")
+SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "May 4, 2011")
 
 # Shamelessly stolen from ParaView
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
@@ -50,6 +50,13 @@
     SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
   ENDIF(CMAKE_CL_64)
 ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)
+
+# For Apple, we need to base the filename on the architecture
+IF(CMAKE_SYSTEM_NAME MATCHES Darwin)
+  STRING(REPLACE ";" "-" ARCHBIT ${CMAKE_OSX_ARCHITECTURES})
+  SET(CPACK_SYSTEM_NAME "MacOS-${ARCHBIT}")
+ENDIF(CMAKE_SYSTEM_NAME MATCHES Darwin)
+
 IF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
   SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
 ENDIF(NOT DEFINED CPACK_PACKAGE_FILE_NAME)
@@ -272,7 +279,3 @@
   UserInterface/BasicComponents/InteractionMode.h
   UserInterface/BasicComponents/InteractionModeClient.h
   UserInterface/BasicComponents/MetaDataTable.h  
-  UserInterface/BasicComponents/RecursiveInteractionMode.h
-  UserInterface/BasicComponents/SnakeParametersPreviewBox.h
-  UserInterface/BasicComponents/SnakeParametersPreviewPipeline.h
-  UserInterface/BasicComponents/StatisticsTable.h

=== ProgramData/HTMLHelp/CMakeLists.txt ===
SUBDIRS(Artwork)
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/HTMLHelp "\\.(html|css)$")

=== ProgramData/Presets/CMakeLists.txt ===
INSTALL_FILES(${SNAP_DATA_INSTALL_DIR}/Presets "\\.(txt)$")

=== Utilities/Forwarding/CMakeLists.txt ===
PROJECT(SNAP_LAUNCHER)

# -- EXPERIMENTAL --
IF(NOT WIN32 AND NOT APPLE)
  SET(SNAP_EXE_INSTALL ${SNAP_MAIN_INSTALL_DIR})
  SET(SNAP_FORWARD_DIR_BUILD "${CMAKE_BINARY_DIR}/bin")
  SET(SNAP_FORWARD_DIR_INSTALL "../${SNAP_EXE_INSTALL}")
  SET(SNAP_FORWARD_PATH_BUILD "\"${SNAP_FORWARD_DIR_BUILD}\"")
  SET(SNAP_FORWARD_PATH_INSTALL "\"${SNAP_FORWARD_DIR_INSTALL}\"")
  SET(SNAP_FORWARD_EXE ${SNAP_EXE})
  CONFIGURE_FILE(
    ${SNAP_SOURCE_DIR}/Utilities/Forwarding/SharedForwardExe.c.in
    ${CMAKE_CURRENT_BINARY_DIR}/shared-forward.c
    @ONLY IMMEDIATE)
  ADD_EXECUTABLE(itksnap ${CMAKE_CURRENT_BINARY_DIR}/shared-forward.c)
  ADD_DEPENDENCIES(itksnap ${SNAP_EXE})
  INSTALL(TARGETS itksnap RUNTIME DESTINATION bin)
ENDIF(NOT WIN32 AND NOT APPLE)

=== Utilities/FLTK/Fl_Native_File_Chooser/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SNAP_SOURCE_DIR}/Utilities/FLTK/Fl_Native_File_Chooser)
ADD_DEFINITIONS(-DFLTK1)	
ADD_LIBRARY(fltk_native_file_chooser Fl_Native_File_Chooser.cxx)

=== Utilities/FLTK/Fl_Native_File_Chooser/Makefile ===
#
# Fl_Native_File_Chooser -- Makefile
#

# UNCOMMENT FOR FLTK1 BUILD
FLTKCONFIG=fltk-config

# UNCOMMENT FOR FLTK2 BUILD
FLTK2CONFIG=fltk2-config

### REMOVE:END

# Build Everything
all: FORCE
ifneq ($(FLTKCONFIG),)
	@echo "***"; echo "*** FLTK1 BUILD"; echo "***"
	( make -f Makefile-fltk1 all "FLTKCONFIG=$(FLTKCONFIG)")
endif
ifneq ($(FLTK2CONFIG),)
	@echo "***"; echo "*** FLTK2 BUILD"; echo "***"
	( make -f Makefile-fltk2 all "FLTK2CONFIG=$(FLTK2CONFIG)")
endif

# Libs
Fl_Native_File_Chooser.o: FORCE
	( make -f Makefile-fltk1 $@ "FLTKCONFIG=$(FLTKCONFIG)")

NativeFileChooser.o: FORCE
	( make -f Makefile-fltk2 $@ "FLTK2CONFIG=$(FLTK2CONFIG)")

# Clean build
clean: FORCE
# BINARIES
	-rm -f *.o                2> /dev/null
	-rm -f *.obj              2> /dev/null
	-rm -f *.exe              2> /dev/null
	-rm -f test-browser       2> /dev/null
	-rm -f test-browser-fltk2 2> /dev/null
	-rm -f simple-app         2> /dev/null
	-rm -f simple-app-fltk2   2> /dev/null
# EDITOR CRAP
	-rm -f *~     2> /dev/null
	-rm -f .*.swp 2> /dev/null
# WINDOWS CRAP
	-rm -rf ii_files           2> /dev/null
	-rm -f *.{ilk,pdb,sln,suo} 2> /dev/null
	-rm -f *.{manifest,idb}    2> /dev/null
# UNIX CRAP
	-rm -f core         2> /dev/null
	-rm -f core.*       2> /dev/null
	-rm -f .nfs*        2> /dev/null
	-rm -f .gdb_history 2> /dev/null
# MAC CRAP
	-rm -rf .DS_Store      2> /dev/null
	-rm -f ._test-browser* 2> /dev/null
	-rm -f ._simple-app*   2> /dev/null
	-rm -f *.app/Contents/MacOS/*

# Create distribution tar file (for maintainer only)
tar: clean
	if grep -q ERCODEBUG *.cxx FL/*.H ; then \
	    echo '### NO DEBUG CODE IN RELEASE'; \
	    exit 1; \
	fi
	sh .TAR_RELEASE.sh

# FORCE TARGET -- Do not remove
FORCE:

=== Utilities/FLTK/Fl_Table/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SNAP_SOURCE_DIR}/Utilities/FLTK/Fl_Table/FL)
INCLUDE_DIRECTORIES(${SNAP_SOURCE_DIR}/Utilities/FLTK/Fl_Table)
ADD_LIBRARY(fltk_table Fl_Table.cxx Fl_Table_Row.cxx)

=== debian/changelog ===
itksnap (2.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch ("this->" qualifiers).
    (Closes: #667211)

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 May 2012 15:43:12 +0200

itksnap (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards to 3.9.2, no changes necessary.
  * Changed maintainer email.
  * Removed FLTK patch and wrong-header-file-casing patch -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Fri, 27 May 2011 07:39:03 -0400

itksnap (2.1.4-1) unstable; urgency=low

  * New upstream release (RC1 for upcoming 2.2.0). Merged all relevant patches
    with upstream.
  * Bumped Standards to 3.9.1, no changes necessary.
  * Added upstream patch to allow building against FLTK 1.1. Thanks to
    Paul Yushkevich.
  * Added patch to remove CMake's find_package() version requirements for
    VTK 5.6 and ITK 3.20. First of all Debian's CMake fails to handle them
    properly (see #600889), but moreover, ITKSNAP builds and runs fine with
    VTK 5.4 and ITK 3.18 on Debian.
  * Added patch to fix a minor header filename casing problem.
  * Add 'get-orig-source' target to debian/rules to create a tarball from the
    CVS branch of the Git packaging repository.
  * Added build-dependency to libxinerama-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 23 Oct 2010 10:54:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: itksnap
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev
-Standards-Version: 3.8.4
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
+Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libxinerama-dev
+Standards-Version: 3.9.2
 Section: science
 Homepage: http://www.itksnap.org
 XS-DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,19 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
+upstreamver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)
+
 
 export LDFLAGS = -Wl,--as-needed
 
 # one ring to rule them all ...
 %:
 	dh $@
+
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DSNAP_USE_FLTK_1_1:BOOL=ON
 
 
 override_dh_auto_install:
@@ -23,3 +31,12 @@
 		$(CURDIR)/debian/itksnap/usr/share/pixmaps/itksnap.xpm
 	# strip useless CMakeLists
 	find $(CURDIR)/debian/itksnap/usr -name 'CMakeLists.txt' -delete
+
+
+get-orig-source:
+	# orig tarball, turn directory into something nicer
+	touch $(srcpkg)_$(upstreamver).orig.tar.gz
+	tar --exclude='.git*' --exclude=debian --exclude=.pc \
+		--exclude=$(srcpkg)_$(upstreamver).orig.tar.gz \
+		--transform 's,^,$(srcpkg)-$(upstreamver)/,' \
+		-cvzf $(srcpkg)_$(upstreamver).orig.tar.gz .

## itksnap 3.2.0

=== CMakeLists.txt ===
#--------------------------------------------------------------------------------
# PROJECT: SNAP                             
#--------------------------------------------------------------------------------
# This CMake file is modeled after QtTest example project from
# http://www.cmake.org/Wiki/BundleUtilitiesExample

PROJECT(SNAP)

#--------------------------------------------------------------------------------
# CMAKE PRELIMINARIES                       
#--------------------------------------------------------------------------------
cmake_minimum_required(VERSION 2.8.12)

SET(CMAKE_MODULE_PATH ${SNAP_SOURCE_DIR}/CMake)

#--------------------------------------------------------------------------------
# MACROS
#--------------------------------------------------------------------------------
# Get today's date (see http://cmake.3232098.n2.nabble.com/How-to-get-the-current-date-td5776870.html)
MACRO (TODAY RESULT)
    IF (WIN32)
        EXECUTE_PROCESS(COMMAND "cmd" " /C date /T" OUTPUT_VARIABLE ${RESULT})
        string(REGEX REPLACE "(..)/(..)/(....).*" "\\1/\\2/\\3" ${RESULT} ${${RESULT}})
    ELSEIF(UNIX)
        EXECUTE_PROCESS(COMMAND "date" "+%b %d, %Y" OUTPUT_VARIABLE ${RESULT})
        string(REGEX REPLACE "(...) (..), (....).*" "\\1 \\2, \\3" ${RESULT} ${${RESULT}})
    ELSE (WIN32)
        MESSAGE(SEND_ERROR "date not implemented")
        SET(${RESULT} 000000)
    ENDIF (WIN32)
	string(REPLACE "\n" "" ${RESULT} ${${RESULT}})
	string(REPLACE " " "" ${RESULT} ${${RESULT}})
ENDMACRO (TODAY)

get_cmake_property(_variableNames VARIABLES)
foreach (_variableName ${_variableNames})
    message(STATUS "${_variableName}=${${_variableName}}")
endforeach()


#--------------------------------------------------------------------------------
# VERSION INFORMATION                       
#--------------------------------------------------------------------------------
# On SNAP versions.
# =================
# The SNAP version consists of four fields: major, minor, patch and qualifier
# for example, version 1.7.3-beta has major version 1, minor version 7, patch 3
# and qualifier "-beta". Major, minor and patch must be numbers, but the qualifier
# is an arbitrary string and may be blank. 

# These four fields should be modified when versions change
SET(SNAP_VERSION_MAJOR 3)
SET(SNAP_VERSION_MINOR 2)
SET(SNAP_VERSION_PATCH 0)
SET(SNAP_VERSION_QUALIFIER "")

# These fields should also be modified each time
SET(SNAP_VERSION_RELEASE_DATE "20141023")
SET(SNAP_VERSION_RELEASE_DATE_FORMATTED "Oct 23, 2014")

# This field should only change when the format of the settings files changes
# in a non backwards-compatible way
SET(SNAP_VERSION_LAST_COMPATIBLE_RELEASE_DATE "20131201")

# This should not need to change
SET(SNAP_VERSION_FULL 
  "${SNAP_VERSION_MAJOR}.${SNAP_VERSION_MINOR}.${SNAP_VERSION_PATCH}${SNAP_VERSION_QUALIFIER}")

# Get today's date (see http://cmake.3232098.n2.nabble.com/How-to-get-the-current-date-td5776870.html)
TODAY(SNAP_VERSION_COMPILE_DATE)

# Get the current git hash
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake/rpavlik/")
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC SNAP_VERSION_GIT_SHA1)

#--------------------------------------------------------------------------------
# FIND PACKAGES IF BUILDING OUTSIDE INSIGHTAPPLICATIONS 
#--------------------------------------------------------------------------------
IF(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS FALSE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ELSE(DEFINED InsightApplications_SOURCE_DIR)
  SET(BUILD_OUTSIDE_INSIGHT_APPLICATIONS TRUE CACHE BOOL 
	"Is SNAP being built separate from InsightApplications?")
ENDIF(DEFINED InsightApplications_SOURCE_DIR)			

IF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )
  INCLUDE(${SNAP_SOURCE_DIR}/CMake/standalone.cmake)
ENDIF( BUILD_OUTSIDE_INSIGHT_APPLICATIONS )

#--------------------------------------------------------------------------------
# CPACK PACKAGE NAME
# Create a complete name for the package, including the system information
# (Shamelessly stolen from ParaView's CMakeLists.txt)
#--------------------------------------------------------------------------------
# *** THIS CODE MUST APPEAR BEFORE CALLING CONFIGURE_FILE on SNAPCommon.cxx ***
#--------------------------------------------------------------------------------

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "itksnap-${SNAP_VERSION_FULL}-${SNAP_VERSION_RELEASE_DATE}")
IF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
  EXEC_PROGRAM(uname ARGS "-m" OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "unknown")
IF(NOT DEFINED CPACK_SYSTEM_NAME)
  SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
ENDIF(NOT DEFINED CPACK_SYSTEM_NAME)
IF(${CPACK_SYSTEM_NAME} MATCHES Windows)
  IF(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win64-${CMAKE_SYSTEM_PROCESSOR})
  ELSE(CMAKE_CL_64)
    SET(CPACK_SYSTEM_NAME win32-${CMAKE_SYSTEM_PROCESSOR})
  ENDIF(CMAKE_CL_64)
ENDIF(${CPACK_SYSTEM_NAME} MATCHES Windows)

# For Apple, we need to base the filename on the architecture
IF(CMAKE_SYSTEM_NAME MATCHES Darwin)
  MESSAGE(STATUS "   INARCH ${CMAKE_OSX_ARCHITECTURES}")

  # TODO: when CMAKE_OSX_ARCHITECTURES is not set this causes an obscure
  # CMake error. Should generate a meaningful message instead
  STRING(REPLACE ";" "-" ARCH ${CMAKE_OSX_ARCHITECTURES})
  SET(CPACK_SYSTEM_NAME "MacOS-${ARCH}")
  MESSAGE(STATUS "   ARCH ${ARCH}")
  MESSAGE(STATUS "   CMAKE_OSX_ARCHITECTURES ${CMAKE_OSX_ARCHITECTURES}")
ENDIF(CMAKE_SYSTEM_NAME MATCHES Darwin)

MESSAGE(STATUS "   CPACK_SYSTEM_NAME ${CPACK_SYSTEM_NAME}")

SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")

MESSAGE(STATUS "   CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_FILE_NAME}")

# Additional CPack resources
SET(CPACK_RESOURCE_FILE_LICENSE "${SNAP_SOURCE_DIR}/COPYING")


#--------------------------------------------------------------------------------
# SOURCE FILE SPECIFICATION                 
#--------------------------------------------------------------------------------

# One of the files needs to be configured (to insert version info)
CONFIGURE_FILE(
  ${SNAP_SOURCE_DIR}/Common/SNAPCommon.cxx.in
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx @ONLY IMMEDIATE)

# Option to use GPU for SNAP
OPTION(SNAP_USE_GPU "Use GPU in SNAP" OFF) 

# Pass the option SNAP_USE_GPU to a header file
CONFIGURE_FILE(
  ${SNAP_SOURCE_DIR}/Common/GPUSettings.h.in
  ${SNAP_BINARY_DIR}/GPUSettings.h @ONLY IMMEDIATE)

# The part of the source code devoted to the SNAP application logic
# is organized into a separate library
SET(LOGIC_CXX
  ${SNAP_BINARY_DIR}/SNAPCommon.cxx
  Common/AbstractModel.cxx
  Common/AbstractPropertyContainerModel.cxx
  Common/CommandLineArgumentParser.cxx
  Common/EventBucket.cxx
  Common/HistoryManager.cxx
  Common/IPCHandler.cxx
  Common/IRISException.cxx
  Common/Rebroadcaster.cxx
  Common/Registry.cxx
  Common/SNAPOpenGL.cxx
  Common/SystemInterface.cxx
  Common/ThreadSpecificData.cxx
  Common/ITKExtras/itkVoxBoCUBImageIO.cxx
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.cxx
  Common/Trackball.cxx
  Logic/Common/ColorLabelTable.cxx
  Logic/Common/ColorMap.cxx
  Logic/Common/ColorMapPresetManager.cxx
  Logic/Common/ImageCoordinateGeometry.cxx
  Logic/Common/ImageCoordinateTransform.cxx
  Logic/Common/IRISDisplayGeometry.cxx
  Logic/Common/LabelUseHistory.cxx
  Logic/Common/MetaDataAccess.cxx
  Logic/Common/SegmentationStatistics.cxx
  Logic/Common/SNAPAppearanceSettings.cxx
  Logic/Common/SNAPRegistryIO.cxx
  Logic/Common/SNAPSegmentationROISettings.cxx
  Logic/Framework/DefaultBehaviorSettings.cxx
  Logic/Framework/GenericImageData.cxx
  Logic/Framework/GlobalState.cxx
  Logic/Framework/ImageIODelegates.cxx
  Logic/Framework/IRISApplication.cxx
  Logic/Framework/IRISImageData.cxx
  Logic/Framework/LayerIterator.cxx
  Logic/Framework/SNAPImageData.cxx
  Logic/Framework/UndoDataManager_LabelType.cxx
  Logic/ImageWrapper/CommonRepresentationPolicy.cxx
  Logic/ImageWrapper/DisplayMappingPolicy.cxx
  Logic/ImageWrapper/ImageWrapperBase.cxx
  Logic/ImageWrapper/ImageWrapper.cxx
  Logic/ImageWrapper/InputSelectionImageFilter.cxx
  Logic/ImageWrapper/GuidedNativeImageIO.cxx
  Logic/ImageWrapper/ScalarImageHistogram.cxx
  Logic/ImageWrapper/ScalarImageWrapper.cxx
  Logic/ImageWrapper/VectorImageWrapper.cxx
  Logic/LevelSet/SnakeParameters.cxx
  Logic/LevelSet/SnakeParametersPreviewPipeline.cxx
  Logic/Mesh/AllPurposeProgressAccumulator.cxx
  Logic/Mesh/GuidedMeshIO.cxx
  Logic/Mesh/MultiLabelMeshPipeline.cxx
  Logic/Mesh/LevelSetMeshPipeline.cxx
  Logic/Mesh/MeshManager.cxx
  Logic/Mesh/MeshOptions.cxx
  Logic/Mesh/VTKMeshPipeline.cxx
  Logic/Preprocessing/EdgePreprocessingSettings.cxx
  Logic/Preprocessing/PreprocessingFilterConfigTraits.cxx
  Logic/Preprocessing/ThresholdSettings.cxx
  Logic/Preprocessing/GMM/EMGaussianMixtures.cxx
  Logic/Preprocessing/GMM/Gaussian.cxx
  Logic/Preprocessing/GMM/GaussianMixtureModel.cxx
  Logic/Preprocessing/GMM/KMeansPlusPlus.cxx
  Logic/Preprocessing/GMM/UnsupervisedClustering.cxx
  Logic/Preprocessing/RandomForest/RFClassificationEngine.cxx
  Logic/Preprocessing/RandomForest/RandomForestClassifier.cxx
  Logic/Slicing/IntensityCurveVTK.cxx
  Logic/Slicing/IntensityToColorLookupTableImageFilter.cxx
  Logic/Slicing/LookupTableIntensityMappingFilter.cxx
  Logic/Slicing/RGBALookupTableIntensityMappingFilter.cxx
)

# The headers for the Logic code
SET(LOGIC_HEADERS
  ${SNAP_BINARY_DIR}/GPUSettings.h
  Common/AbstractModel.h
  Common/AbstractPropertyContainerModel.h
  Common/CommandLineArgumentParser.h
  Common/Credits.h
  Common/HistoryManager.h
  Common/IPCHandler.h
  Common/IRISException.h
  Common/IRISVectorTypes.h
  Common/IRISVectorTypes.txx
  Common/IRISVectorTypesToITKConversion.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.h
  Common/ITKExtras/itkBSplineScatteredDataPointSetToImageFilter.txx
  Common/ITKExtras/itkBinaryDiamondStructuringElement.h
  Common/ITKExtras/itkBinaryDiamondStructuringElement.txx
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.h
  Common/ITKExtras/itkCoxDeBoorBSplineKernelFunction.txx
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.h
  Common/ITKExtras/itkParallelSparseFieldLevelSetImageFilterBugFix.txx
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.h
  Common/ITKExtras/itkTopologyPreservingDigitalSurfaceEvolutionImageFilter.txx
  Common/ITKExtras/itkVoxBoCUBImageIO.h
  Common/ITKExtras/itkVoxBoCUBImageIOFactory.h
  Common/PresetManager.h
  Common/PresetManager.hxx
  Common/PropertyModel.h
  Common/Rebroadcaster.h
  Common/Registry.h
  Common/SNAPBorlandDummyTypes.h
  Common/SNAPCommon.h
  Common/SNAPOpenGL.h
  Common/SNAPEvents.h
  Common/SystemInterface.h
  Common/ThreadSpecificData.h
  Common/Trackball.h
  Logic/Common/ColorLabel.h
  Logic/Common/ColorLabelTable.h
  Logic/Common/ColorMap.h
  Logic/Common/ColorMapPresetManager.h
  Logic/Common/ImageCoordinateGeometry.h
  Logic/Common/ImageCoordinateTransform.h
  Logic/Common/IRISDisplayGeometry.h
  Logic/Common/LabelUseHistory.h
  Logic/Common/SegmentationStatistics.h
  Logic/Common/ImageRayIntersectionFinder.h
  Logic/Common/ImageRayIntersectionFinder.txx
  Logic/Common/MetaDataAccess.h
  Logic/Common/SNAPAppearanceSettings.h
  Logic/Common/SNAPRegistryIO.h
  Logic/Common/SNAPSegmentationROISettings.h
  Logic/Framework/DefaultBehaviorSettings.h
  Logic/Framework/GenericImageData.h
  Logic/Framework/GlobalState.h
  Logic/Framework/ImageIODelegates.h
  Logic/Framework/IRISApplication.h
  Logic/Framework/IRISImageData.h
  Logic/Framework/LayerAssociation.h
  Logic/Framework/LayerAssociation.txx
  Logic/Framework/LayerIterator.h
  Logic/Framework/SNAPImageData.h
  Logic/Framework/UndoDataManager.h
  Logic/Framework/UndoDataManager.txx
  Logic/ImageWrapper/CommonRepresentationPolicy.h
  Logic/ImageWrapper/DisplayMappingPolicy.h

=== debian/changelog ===
itksnap (3.2.0-1~nd80+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 27 Jun 2015 21:59:52 -0400

itksnap (3.2.0-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Fri, 16 Jan 2015 20:55:09 +0100

itksnap (3.2.0-1) experimental; urgency=low

  [ Gert Wollny ]
  * New upstream release, Closes: #698386, Closes: #639983
  * Change dependencies to new requirements for ITK, VTK, and QT
  * Clean rules file
  * Add patch to include vtk and gdcm libraries that are required for
    linking on Debian
  * Update standards version to 3.9.6
  * Set debhelper compatibility to 9
  * Disable tests because they need to connect to a display
  * Enable parallel build
  * Remove obsolete dm-upload allowed
  * Set priority to optional
  * Add some optimizations flags that really make a difference
  * Correct desktop entry to silence some lintian info messages 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 16 Jan 2015 11:39:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,32 @@
 Source: itksnap
-Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, imagemagick, libvtk5-dev, libinsighttoolkit3-dev, libgdcm2-dev, libfltk1.1-dev, fluid, libopenjpeg-dev, libfftw3-dev, uuid-dev, libxinerama-dev
-Standards-Version: 3.9.2
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Priority: optional
+Uploaders: Michael Hanke <mih@debian.org>,
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Gert Wollny <gw.fossdev@gmail.com>
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libvtk6-dev,
+               libinsighttoolkit4-dev,
+               libgdcm2-dev,
+               imagemagick,
+               libdcmtk2-dev,
+               qtbase5-dev,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               qttools5-private-dev,
+               libfftw3-dev
+Standards-Version: 3.9.6
 Section: science
 Homepage: http://www.itksnap.org
-XS-DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=debian-med/itksnap.git
 Vcs-Git: git://git.debian.org/git/debian-med/itksnap.git
 
 Package: itksnap
 Section: science
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: semi-automatic segmentation of structures in 3D images
  SNAP provides semi-automatic segmentation of structures in medical
  images (e.g.  magnetic resonance images of the brain) using active
